Ticket #36081

curve25519-sha256鍵交換のサポート

Eröffnet am: 2016-03-01 12:16 Letztes Update: 2019-06-28 14:53

Auswertung:
Verantwortlicher:
Status:
Offen [Owner assigned]
Komponente:
Meilenstein:
Priorität:
7
Schweregrad:
7
Lösung:
Accepted
Datei:
Keine
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

以下の鍵交換方式のサポート

  • curve25519-sha256
  • curve448-sha256
  • curve25519-sha256@libssh.org

curve25519-sha256 は draft-baushke-ssh-dh-group-sha2-05 でMUSTになる模様
draft-ietf-curdle-ssh-kex-sha2-10 では SHOULD になっている。

c.f.

Ticket-Verlauf (3/10 Historien)

2016-03-01 12:16 Aktualisiert von: doda
  • New Ticket "curve25519-sha256鍵交換のサポート" created
2018-01-08 07:04 Aktualisiert von: doda
  • Lösung Update from Keine to Accepted
  • Schweregrad Update from 5 - Mittel to 6
  • Priorität Update from 5 - Mittel to 6
  • Details Updated
Kommentar

OpenSSHは--without-opensslでビルドした場合は鍵交換がcurve25519-sha256のみのとなる。

Windows10のOpenSSHは--without-opensslでビルドしているっぽい(要確認)ので、優先度を上げる。

2018-04-13 13:19 Aktualisiert von: doda
  • Verantwortlicher Update from (Keine) to doda
  • Meilenstein Update from (Keine) to Tera Term 4.99 (closed)
  • Schweregrad Update from 6 to 7
  • Priorität Update from 6 to 7
  • Details Updated
Kommentar

#38203 の原因の一つなので、2.85 での対応を目指す。

2018-06-01 12:56 Aktualisiert von: doda
2018-09-01 09:01 Aktualisiert von: None
2018-09-04 14:49 Aktualisiert von: maya
2018-12-01 09:01 Aktualisiert von: None
2019-02-28 22:11 Aktualisiert von: maya
2019-06-01 09:01 Aktualisiert von: None
2019-06-28 14:53 Aktualisiert von: maya

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden